Bug 100084 - VIEWING: charts not displayed in .xlsx reports generated from ibm cognos (case-sensitive path for the .rels relationship files instead of case-insensitive)
Summary: VIEWING: charts not displayed in .xlsx reports generated from ibm cognos (cas...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: OOXML-Chart XLSX-External-Generators
  Show dependency treegraph
 
Reported: 2016-05-27 07:20 UTC by pasqual milvaques
Modified: 2021-07-19 15:27 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
testcase showing the problem (9.83 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-05-27 07:20 UTC, pasqual milvaques
Details
the testcase file opened and resaved with office 2013 (15.42 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-05-27 07:22 UTC, pasqual milvaques
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pasqual milvaques 2016-05-27 07:20:04 UTC
Created attachment 125323 [details]
testcase showing the problem

Hi

In my organization we have a bussiness intelligence tool called ibm cognos with generates reports in xlsx format. The charts of the reports are not shown when the reports are opened with LibreOffice

If the reports are opened and saved with office 2013 the charts start to show up when the document is opened in LibreOffice. 

The chart data of these documents are in hidden sheets
Comment 1 pasqual milvaques 2016-05-27 07:22:31 UTC
Created attachment 125324 [details]
the testcase file opened and resaved with office 2013

The testcase file when resaved with office 2013 has the problema repaired
Comment 2 Julien Nabet 2016-05-27 07:50:22 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
I noticed these on console:
warn:oox:21902:1:oox/source/docprop/docprophandler.cxx:314: OOXMLDocPropHandler::startFastElement: unknown element 5618
warn:oox:21902:1:oox/source/docprop/docprophandler.cxx:314: OOXMLDocPropHandler::startFastElement: unknown element 3198
warn:oox:21902:1:oox/source/docprop/docprophandler.cxx:314: OOXMLDocPropHandler::startFastElement: unknown element 5618
warn:oox:21902:1:oox/source/docprop/docprophandler.cxx:314: OOXMLDocPropHandler::startFastElement: unknown element 2749
warn:oox:21902:1:oox/source/docprop/docprophandler.cxx:314: OOXMLDocPropHandler::startFastElement: unknown element 3198
warn:oox:21902:1:oox/source/docprop/docprophandler.cxx:314: OOXMLDocPropHandler::startFastElement: unknown element 3198
warn:oox:21902:1:oox/source/docprop/docprophandler.cxx:314: OOXMLDocPropHandler::startFastElement: unknown element 3198
Comment 3 QA Administrators 2018-06-15 02:46:08 UTC Comment hidden (obsolete)
Comment 4 Commit Notification 2019-05-13 11:16:48 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b2fc2ad7beceaff660de684435a5c37d69cf8ae9%5E%21

tdf#100084 XLSX import: fix missing charts

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-05-14 06:20:18 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/642389768e634b739a1d8354259b16bfcc695d17%5E%21

tdf#100084 XLSX import: fix missing charts clean-up

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.